io.vertx.rxjava.core.eventbus

## Class MessageProducer<T>

- java.lang.Object
- - io.vertx.rxjava.core.eventbus.MessageProducer<T>

- All Implemented Interfaces:
    StreamBase, WriteStream<T>

      public class MessageProducer<T>
      extends Object
      implements WriteStream<T>

  Represents a stream of message that can be written to.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageProducer(MessageProducer delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `address()`
    `MessageProducer<T>` | `deliveryOptions(DeliveryOptions options)` Update the delivery options of this producer.
    `MessageProducer<T>` | `drainHandler(Handler<Void> handler)` Set a drain handler on the stream.
    `MessageProducer<T>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the write stream.
    `Object` | `getDelegate()`
    `static <T> MessageProducer<T>` | `newInstance(MessageProducer arg)`
    `MessageProducer<T>` | `setWriteQueueMaxSize(int maxSize)` Set the maximum size of the write queue to `maxSize`.
    `MessageProducer<T>` | `write(T data)` Write some data to the stream.
    `boolean` | `writeQueueFull()` This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.WriteStream

      `newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Constructor Detail

    - #### MessageProducer

          public MessageProducer(MessageProducer delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Specified by:
        `getDelegate` in interface `StreamBase`
      Specified by:
        `getDelegate` in interface `WriteStream<T>`

    - #### writeQueueFull

          public boolean writeQueueFull()

      This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`
      Specified by:
        `writeQueueFull` in interface `WriteStream<T>`
      Returns:
        true if write queue is full

    - #### exceptionHandler

          public MessageProducer<T> exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `WriteStream`
      Set an exception handler on the write stream.
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Specified by:
        `exceptionHandler` in interface `WriteStream<T>`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### write

          public MessageProducer<T> write(T data)

      Description copied from interface: `WriteStream`
      Write some data to the stream. The data is put on an internal write queue, and the write actually happens asynchronously. To avoid running out of memory by putting too much on the write queue, check the `WriteStream.writeQueueFull()` method before writing. This is done automatically if using a `Pump`.
      Specified by:
        `write` in interface `WriteStream<T>`
      Parameters:
        `data` - the data to write
      Returns:
        a reference to this, so the API can be used fluently

    - #### setWriteQueueMaxSize

          public MessageProducer<T> setWriteQueueMaxSize(int maxSize)

      Description copied from interface: `WriteStream`
      Set the maximum size of the write queue to `maxSize`. You will still be able to write to the stream even if there is more than `maxSize` bytes in the write queue. This is used as an indicator by classes such as `Pump` to provide flow control.
      Specified by:
        `setWriteQueueMaxSize` in interface `WriteStream<T>`
      Parameters:
        `maxSize` - the max size of the write stream
      Returns:
        a reference to this, so the API can be used fluently

    - #### drainHandler

          public MessageProducer<T> drainHandler(Handler<Void> handler)

      Description copied from interface: `WriteStream`
      Set a drain handler on the stream. If the write queue is full, then the handler will be called when the write queue has been reduced to maxSize / 2. See `Pump` for an example of this being used.
      Specified by:
        `drainHandler` in interface `WriteStream<T>`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### deliveryOptions

          public MessageProducer<T> deliveryOptions(DeliveryOptions options)

      Update the delivery options of this producer.
      Parameters:
        `options` - the new options
      Returns:
        this producer object

    - #### address

          public String address()

      Returns:
        The address to which the producer produces messages.

    - #### newInstance

          public static <T> MessageProducer<T> newInstance(MessageProducer arg)

Copyright © 2015. All Rights Reserved.